List of Archived Feedbacks
http
GET /api/v1/feedbacks/archiveBase URL: https://feedbacks-api.wildberries.ru · Module: communications · Section: Feedbacks · Specification doc ↗
The method allows you to get a list of archived feedbacks. The feedback becomes archived if:
- A response to the feedback is received.
- No response to the feedback is received within 30 days.
- The feedback contains no text or photos.
Request limit per one seller account for all methods in the Feedbacks and Questions category:
| Type | Period | Limit | Interval | Burst |
|---|---|---|---|---|
| Personal | 1 s | 3 requests | 333 ms | 6 requests |
| Service | 1 s | 3 requests | 333 ms | 6 requests |
| Base with secret | 1 s | 3 requests | 333 ms | 6 requests |
| Base | 1 h | 5 requests | 12 min | 1 request |
Parameters
| Name | In | Type | Req. | Description |
|---|---|---|---|---|
nmId | query | integer<int64> | no | WB item number |
take | query | integer<int64> | yes | Number of feedbacks (max. 5 000) |
skip | query | integer<int64> | yes | Number of feedbacks for skip |
order | query | string | no | Sorting of feedbacks by date (dateAsc/dateDesc) |
Responses
| Code | Description | Schema |
|---|---|---|
200 | Success | GetV1FeedbacksArchiveResponse200 |
400 | Bad request | responseFeedbackQuestionErr |
401 | Unauthorized | object |
402 | Payment required | object |
403 | Access denied | responseFeedbackQuestionErr |
422 | Error processing request parameters | responseFeedbackQuestionErr |
429 | Too many requests | object |
Structure 200:
dataobjectfeedbacksobject[]— Array of structure of feedbacksidstring— Feedback IDtextstring— Feedback textprosstring— Item prosconsstring— Item consproductValuationinteger<int64>— Item ratecreatedDatestring— Date and time the feedback was createdanswerobject— Reply structuretextstring— Reply textstatestring— Status: -none— new -wbRu— displayed on the site -reviewRequired— response being reviewed -rejected— response rejectededitableboolean— Whether the response can be edited: -false— no -true— yes
statestring— Feedback status: -none- unanswered (new) -wbRu- answeredproductDetailsobject— Item informationnmIdinteger<int64>— WB item numberimtIdinteger<int64>— Merged listing IDproductNamestring— Item namesupplierArticlestring— Seller item numbersupplierNamestring— Seller's namebrandNamestring— Item brandsizestring— Item size (`techSize' in the listing)
photoLinksobject[]— Array of structure of imagesfullSizestring— Link of full-size imagesminiSizestring— Link of small-size images
videoobject— Video structurepreviewImagestring— URL to the video cover imagelinkstring— URL to the video playlist file (available via HLS protocol)durationSecinteger<int64>— Total duration of the video
wasViewedboolean— If the feedback was vieweduserNamestring— Name of the feedback authororderStatusstring— Order status. Possible values: -buyout— bought out -rejected— rejected -returned— returned -notSpecified— status not assignedmatchingSizestring— Compliance of the declared size with the real one. Possible values: -— for dimensionless items -ок— matches to the size -smaller— runs small -bigger— runs largeisAbleSupplierFeedbackValuationboolean— Is the seller able to file a report about the feedback (true— available,false— not available)supplierFeedbackValuationinteger<int64>— Reason for report about the feedbackisAbleSupplierProductValuationboolean— Item issuesupplierProductValuationinteger<int64>— Item rating left by the sellerisAbleReturnProductOrdersboolean— Item return option: -true— available -false— unavailablereturnProductOrdersDatestring— Date and time when a response with status code 200 was received for the return request.bablesstring[]— List of customer tagslastOrderShkIdinteger<int64>— SKU of the itemlastOrderCreatedAtstring— Date of purchasecolorstring— Item colorsubjectIdinteger<int64>— Subcategory IDsubjectNamestring— Subcategory nameparentFeedbackIdstring— ID of the original feedback (nullif this feedback is original)childFeedbackIdstring— ID of the updated feedback (nullif this feedback is updated)
errorboolean— Error presenceerrorTextstring— Error descriptionadditionalErrorsstring[]— Additional errors
Structure 400:
dataobjecterrorboolean— Error flagerrorTextstring— Error descriptionadditionalErrorsstring[]— Additional errorsrequestIdstring
Structure 401:
titlestring— Error titledetailstring— Error detailscodestring— Internal error coderequestIdstring— Unique request IDoriginstring— WB internal service IDstatusnumber— HTTP status codestatusTextstring— Text of the HTTP status codetimestampstring— Request date and time
Structure 402:
titlestring— Error titledetailstring— Error details. The error is only returned to services from the Solutions for business Catalog
Structure 403:
dataobjecterrorboolean— Error flagerrorTextstring— Error descriptionadditionalErrorsstring[]— Additional errorsrequestIdstring
Structure 422:
dataobjecterrorboolean— Error flagerrorTextstring— Error descriptionadditionalErrorsstring[]— Additional errorsrequestIdstring
Structure 429:
titlestring— Error titledetailstring— Error detailscodestring— Internal error coderequestIdstring— Unique request IDoriginstring— WB internal service IDstatusnumber— HTTP status codestatusTextstring— Text of the HTTP status codetimestampstring— Request date and time
Call examples
Arguments are shown as parameter names — substitute your own values. Languages whose client does not expose this operation are omitted.
python
from wb_api_client.communications import Configuration, ApiClient
from wb_api_client.communications.api import CommunicationsApi
cfg = Configuration(access_token="<your WB JWT>")
api = CommunicationsApi(ApiClient(cfg))
result = api.get_v1_feedbacks_archive(take=..., skip=..., nm_id=..., order=...)
print(result)ts
import {
Configuration,
CommunicationsApi,
} from "@valeryverkhoturov/wb-api-client/communications";
const cfg = new Configuration({});
cfg.setAccessToken("<your WB JWT>");
const api = new CommunicationsApi(cfg);
const { data } = await api.getV1FeedbacksArchive(take, skip, nmId, order);
console.log(data);go
import (
"context"
"fmt"
wbcommunications "github.com/ValeryVerkhoturov/wb-api-client-go/communications"
)
cfg := wbcommunications.NewConfiguration()
cfg.SetAccessToken("<your WB JWT>")
client := wbcommunications.NewAPIClient(cfg)
result, _, err := client.CommunicationsAPI.GetV1FeedbacksArchive(context.Background()).Take(take).Skip(skip).Execute()
if err != nil {
panic(err)
}
fmt.Printf("%+v\n", result)java
import io.github.valeryverkhoturov.wbapi.communications.ApiClient;
import io.github.valeryverkhoturov.wbapi.communications.SecretString;
import io.github.valeryverkhoturov.wbapi.communications.api.CommunicationsApi;
ApiClient client = new ApiClient();
client.setAccessToken(new SecretString("<your WB JWT>"));
CommunicationsApi api = new CommunicationsApi(client);
System.out.println(api.getV1FeedbacksArchive(take, skip, nmId, order));php
use ValeryVerkhoturov\WbApiClient\Communications\Configuration;
use ValeryVerkhoturov\WbApiClient\Communications\SecretString;
use ValeryVerkhoturov\WbApiClient\Communications\Api\CommunicationsApi;
use GuzzleHttp\Client;
$config = (new Configuration())
->setAccessTokenSecret(new SecretString('<your WB JWT>'));
$api = new CommunicationsApi(new Client(), $config);
print_r($api->getV1FeedbacksArchive($take, $skip));bsl
#Использовать "wb-api-client"
Настройки = Новый Конфигурация();
Настройки.УстановитьТокен("<your WB JWT>");
Клиент = Новый CommunicationsApi(Настройки);
Сообщить(Клиент.GetV1FeedbacksArchive(take, skip).Тело);csharp
using ValeryVerkhoturov.WbApiClient.Communications.Api;
using ValeryVerkhoturov.WbApiClient.Communications.Client;
var config = new Configuration();
config.AccessTokenSecret = new SecretString("<your WB JWT>");
var api = new CommunicationsApi(config);
Console.WriteLine(api.GetV1FeedbacksArchive(take, skip));rust
use wb_api_client::communications::apis::{configuration::Configuration, communications_api};
#[tokio::main]
async fn main() {
let mut cfg = Configuration::new();
cfg.set_access_token("<your WB JWT>");
let result = communications_api::get_v1_feedbacks_archive(&cfg, take, skip, nm_id, order).await;
println!("{:#?}", result);
}